<?php
/**
 * Initialize the Portfolio Post Meta Boxes. 
 */
add_action( 'admin_init', 'portfolio_mb' );
function portfolio_mb() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
  $portfolio_mb = array(
    'id'          => 'portfolio_meta_box',
    'title'       => __( 'Portfolio Setting', 'benten_plg' ),
    'desc'        => '',
    'pages'       => array( 'portfolio' ),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(

      array(
        'label'       => __( 'Portfolio Format Setting', 'benten_plg' ),
        'id'          => 'portfolio_format',
        'type'        => 'tab',
      ),
	  array(
        'label'       => __( 'Choose Portfolio Format Here', 'benten_plg' ),
        'id'          => 'port_format',
        'type'        => 'select',
		'std'		 => 'port_standard',
		'choices'     => array( 
			  array(
                'value'       => 'port_standard',
                'label'       => __( 'Portfolio Standard', 'benten_plg' )
              ),
			  array(
                'value'       => 'port_gallery',
                'label'       => __( 'Portfolio Gallery', 'benten_plg' )
              ),
			  array(
                'value'       => 'port_slider',
                'label'       => __( 'Portfolio Slider', 'benten_plg' )
              ),
			  array(
                'value'       => 'port_video',
                'label'       => __( 'Portfolio Video', 'benten_plg' )
              ),
			  array(
                'value'       => 'port_audio',
                'label'       => __( 'Portfolio Audio', 'benten_plg' )
              ),
		)
      ),
	  
	  array(
        'label'       => __( 'Big Image Setting', 'benten_plg' ),
        'id'          => 'port_image_setting',
        'type'        => 'upload',
        'desc'        => __( 'Upload your image here. Leave it blank if you want to used featured image.', 'benten_plg' ),
        'condition'   => 'port_format:is(port_standard)'
      ),
	  array(
        'label'       => __( 'Gallery Setting', 'benten_plg' ),
        'id'          => 'port_gallery_setting',
        'type'        => 'gallery',
        'desc'        => __( 'Create your portfolio gallery here. <br/>Try to use same ratio for each image.', 'benten_plg' ),
        'condition'   => 'port_format:is(port_gallery)'
      ),
	  array(
        'label'       => __( 'Slider Setting', 'benten_plg' ),
        'id'          => 'port_slider_setting',
        'type'        => 'gallery',
        'desc'        => __( 'Create your portfolio Slider here.', 'benten_plg' ),
        'condition'   => 'port_format:is(port_slider)'
      ),
	  array(
        'label'       => __( 'Video Setting', 'benten_plg' ),
        'id'          => 'port_video_setting',
        'type'        => 'text',
        'desc'        => __( 'Insert the link for video embed here.<br/> For video from youtube/vimeo just put the link without any attribute like ?wmode=opaque.<br/>eg: http://www.youtube.com/embed/nAuo7KEQHT4 or http://player.vimeo.com/video/64078587', 'benten_plg' ),
        'condition'   => 'port_format:is(port_video)'
      ),
	   array(
        'label'       => __( 'Audio Setting', 'benten_plg' ),
        'id'          => 'port_audio_setting',
        'type'        => 'textarea',
		'rows'        => '3',
        'desc'        => __( 'Insert your iframe/embedded code for audio here.<br/>
		You can input iframe/embed code from youtube/vimeo here too, if you don\'t like the default style of portfolio video.', 'benten_plg' ),
        'condition'   => 'port_format:is(port_audio)'
      ),
	  array(
        'label'       => __( 'Portfolio Icon', 'benten_plg' ),
        'id'          => 'port_icon',
        'type'        => 'text',
        'desc'        => __( 'Input portfolio icon here.  You can check <a href="http://fontawesome.io/icons/" target="_blank">Here</a> for icon list. <br/>eg. fa-paw', 'benten_plg' )
      ),
	  array(
        'label'       => __( 'Portfolio Detail Setting', 'benten_plg' ),
        'id'          => 'port_detail_tab',
        'type'        => 'tab',
      ),
	  
	  array(
        'label'       => __( 'Portfolio Button Link', 'benten_plg' ),
        'id'          => 'port_item_btn_link',
        'type'        => 'text',
        'desc'        => __( 'Insert your button link here. Leave it blank if you dont want it.', 'benten_plg' ),
      ),
	  array(
        'label'       => __( 'Portfolio Button Text', 'benten_plg' ),
        'id'          => 'port_item_btn_text',
        'type'        => 'text',
        'desc'        => __( 'Insert your button text here. Leave it blank if you dont want it.', 'benten_plg' ),
      ),
    )
  );
  
  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */
  if ( function_exists( 'ot_register_meta_box' ) )
    ot_register_meta_box( $portfolio_mb );

}

