<?php
// Registers the new post type 

function wpt_team_posttype() {
	register_post_type( 'team-post',
		array(
			'labels' => array(
				'name' => __( 'Team Posts', 'benten_plg' ),
				'singular_name' => __( 'Team Post' , 'benten_plg'),
				'add_new' => __( 'Add New Team Post', 'benten_plg' ),
				'add_new_item' => __( 'Add New Team Post', 'benten_plg' ),
				'edit_item' => __( 'Edit Team Post', 'benten_plg' ),
				'new_item' => __( 'Add New Team Post', 'benten_plg' ),
				'view_item' => __( 'View Team Post', 'benten_plg' ),
				'search_items' => __( 'Search Team Posts', 'benten_plg' ),
				'not_found' => __( 'No Team Post found', 'benten_plg' ),
				'not_found_in_trash' => __( 'No Team Post found in trash', 'benten_plg' )
			),
			'public' => true,
			'supports' => array( 'title', 'editor', 'thumbnail','excerpt'),
			'capability_type' => 'post',
			'rewrite' => array("slug" => "team-post"), // Permalinks format
			'menu_position' => 5,
			'exclude_from_search' => true 
		)
	);

}

add_action( 'init', 'wpt_team_posttype' );


